WPS4ParserInternal::SubDocument Class Reference

Internal: the subdocument of a WPS4Parser. More...

Inheritance diagram for WPS4ParserInternal::SubDocument:

## Public Types

enum | Type { Unknown, MN }
| type of an entry stored in textId More...

## Public Member Functions

| SubDocument (WPXInputStreamPtr input, WPS4Parser &pars, WPSEntry const &entry)
| constructor for a text entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| operator== More...
void | parse (shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)
| the parser function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (WPXInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
WPXInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes

WPSEntry | m_entry
| the entry More...

## Additional Inherited Members

Protected Attributes inherited from WPSSubDocument
WPXInputStreamPtr | m_input
WPSParser * | m_parser
int | m_id

## Detailed Description

Internal: the subdocument of a WPS4Parser.

## Member Enumeration Documentation

enum WPS4ParserInternal::SubDocument::Type

type of an entry stored in textId

Enumerator
Unknown |
MN |

## Constructor & Destructor Documentation

WPS4ParserInternal::SubDocument::SubDocument | ( | WPXInputStreamPtr | input,
|  | WPS4Parser & | pars,
|  | WPSEntry const & | entry
| ) |  |

inline

constructor for a text entry

WPS4ParserInternal::SubDocument::~SubDocument | ( |  | ) |

inline

destructor

## Member Function Documentation

virtual bool WPS4ParserInternal::SubDocument::operator== | ( | shared_ptr< WPSSubDocument > const & | doc | ) | const

inlinevirtual

operator==

Reimplemented from WPSSubDocument.

void WPS4ParserInternal::SubDocument::parse | ( | shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |

virtual

the parser function

Implements WPSSubDocument.

## Member Data Documentation

WPSEntry WPS4ParserInternal::SubDocument::m_entry

the entry

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WPS4.cpp